| Home | Libraries | People | FAQ | More

##### basic_serial_port::basic_serial_port (7 of 9 overloads)

Construct a `basic_serial_port` on an existing native serial port.

    basic_serial_port(
        const executor_type & ex,
        const native_handle_type & native_serial_port);

This constructor creates a serial port object to hold an existing native serial port.

###### Parameters

ex

  The I/O executor that the serial port will use, by default, to dispatch handlers for any asynchronous operations performed on the serial port.

native_serial_port

  A native serial port.

###### Exceptions

boost::system::system_error

  Thrown on failure.